#include "m33.h"

#include <iostream>

V3& M33::operator[](int i) {

  return rows[i];

}

ostream& operator<<(ostream &os, M33 m) {

  os << m[0] << endl;
  os << m[1] << endl;
  os << m[2] << endl;
  return os;
}

V3 M33::operator*(V3 v) {

  V3 ret(rows[0]*v, rows[1]*v, rows[2]*v);
  return ret;

}

M33 M33::operator*(M33 m1) {

  cerr << "NOT YET IMPLEMENTED" <<endl;
  return m1;

}

void M33::Normalize() {

  V3 vs = rows[0] + rows[1] + rows[2];
  float sum = vs[0] + vs[1] + vs[2];

  rows[0] = rows[0] / sum;
  rows[1] = rows[1] / sum;
  rows[2] = rows[2] / sum;


}